AutoCAD Civil 3D General

Reply
*R. Togores
Message 1 of 4 (85 Views)

2006 VBA GetInterface problem

85 Views, 3 Replies
04-13-2005 12:52 AM
I have just installed Civil 3D 2006 side-by side with Civil 3D 2005.
I am not capable of obtaining the Civil application object in 2006 VBA.
I have tried both:
Set g_oCivilApp =
ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication")
and:
Set g_oCivilApp =
ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication.3.0")
with the same result, a Run-time error message on trying to execute this
line of code.


In Civil 3D 2005 this is successful:
Set g_oCivilApp =
ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication.2.0")


I have made this same question via ADN DevHelp Online, but have no answer
yet.
Any suggestions?
Thanks in advance.


Reinaldo Togores
EGI-CAD Research Group
University of Cantabria (Spain)
*Peter Funk - Autodesk, Inc.
Message 2 of 4 (85 Views)

Re: 2006 VBA GetInterface problem

04-13-2005 04:13 AM in reply to: *R. Togores
Reinaldo,


Your code looks exactly correct. In the 2006 application did you modify the
references to the ones for 2006?


Regards,


Peter Funk
Autodesk, Inc.


"R. Togores" wrote in message
news:4813080@discussion.autodesk.com...
>I have just installed Civil 3D 2006 side-by side with Civil 3D 2005.
> I am not capable of obtaining the Civil application object in 2006 VBA.
> I have tried both:
> Set g_oCivilApp =
> ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication")
> and:
> Set g_oCivilApp =
> ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication.3.0")
> with the same result, a Run-time error message on trying to execute this
> line of code.
>
>
> In Civil 3D 2005 this is successful:
> Set g_oCivilApp =
> ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication.2.0")
>
>
> I have made this same question via ADN DevHelp Online, but have no answer
> yet.
> Any suggestions?
> Thanks in advance.
>
>
> Reinaldo Togores
> EGI-CAD Research Group
> University of Cantabria (Spain)
*R. Togores
Message 3 of 4 (85 Views)

Re: 2006 VBA GetInterface problem

04-13-2005 04:47 AM in reply to: *R. Togores
Hi Peter,
Yes, I modified the references according to the 2006 Developer Help file.
I am presently uninstalling 2005 and will try to reinstall 2006...
I'll let you know if it works.
Thanks,
Reinaldo


; "Inc." escribi� en el
mensaje news:4813175@discussion.autodesk.com...
> Reinaldo,
>
>
> Your code looks exactly correct. In the 2006 application did you modify
> the references to the ones for 2006?
>
>
> Regards,
>
>
> Peter Funk
> Autodesk, Inc.
>
>
> "R. Togores" wrote in message
> news:4813080@discussion.autodesk.com...
>>I have just installed Civil 3D 2006 side-by side with Civil 3D 2005.
>> I am not capable of obtaining the Civil application object in 2006 VBA.
>> I have tried both:
>> Set g_oCivilApp =
>> ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication")
>> and:
>> Set g_oCivilApp =
>> ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication.3.0")
>> with the same result, a Run-time error message on trying to execute this
>> line of code.
>>
>>
>> In Civil 3D 2005 this is successful:
>> Set g_oCivilApp =
>> ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication.2.0")
>>
>>
>> I have made this same question via ADN DevHelp Online, but have no answer
>> yet.
>> Any suggestions?
>> Thanks in advance.
>>
>>
>> Reinaldo Togores
>> EGI-CAD Research Group
>> University of Cantabria (Spain)
*James Wedding, P.E.
Message 4 of 4 (85 Views)

Re: 2006 VBA GetInterface problem

04-13-2005 06:08 AM in reply to: *R. Togores
Just for the record, I had the same problem with the preview release as
well, Peter. Can you list off the required references for basic C3D VBA
programs, assuming we're just using the C3D objects, please?
--
James Wedding, P.E.
Technology Manager &
Associate
Jones & Boyd, Inc.
Dallas, TX
XP/2 on P4-3.4/1G
LDT2005SP1 & C3D2005SP1






Peter Funk - Auto desk wrote:
> Reinaldo,
>
>
> Your code looks exactly correct. In the 2006 application did you modify the
> references to the ones for 2006?
>
>
> Regards,
>
>
> Peter Funk
> Autodesk, Inc.
>
>
> "R. Togores" wrote in message
> news:4813080@discussion.autodesk.com...
>
>>I have just installed Civil 3D 2006 side-by side with Civil 3D 2005.
>>I am not capable of obtaining the Civil application object in 2006 VBA.
>>I have tried both:
>>Set g_oCivilApp =
>>ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication")
>>and:
>>Set g_oCivilApp =
>>ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication.3.0")
>>with the same result, a Run-time error message on trying to execute this
>>line of code.
>>
>>
>>In Civil 3D 2005 this is successful:
>>Set g_oCivilApp =
>>ThisDrawing.Application.GetInterfaceObject("AeccXUiLand.AeccApplication.2.0")
>>
>>
>>I have made this same question via ADN DevHelp Online, but have no answer
>>yet.
>>Any suggestions?
>>Thanks in advance.
>>
>>
>>Reinaldo Togores
>>EGI-CAD Research Group
>>University of Cantabria (Spain)

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community


Civil 3D Exchange Apps

Created by the community for the community, Autodesk Exchange Apps for AutoCAD Civil 3D helps you achieve greater speed, accuracy, and automation from concept to manufacturing.

Connect with Civil 3D

Twitter

Facebook

Blogs